/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ajcon.custom.util.elements;


public class CToken {
    private String idx;
    private String id;
    private String idref;
    private String idkind;
    private String afterEol;
    private String line;
    private String column;
    private String type;
    private String deprecated;
    private String lexeme;

    public CToken() {
        idx = null;
        id = null;
        idref = null;
        idkind = null;
        afterEol = null;
        line = null;
        column = null;
        type = null;
        deprecated = null;
        lexeme = null;
    }

    public String getAfterEol() {
        return afterEol;
    }

    public void setAfterEol(String afterEol) {
        this.afterEol = afterEol;
    }

    public String getColumn() {
        return column;
    }

    public void setColumn(String column) {
        this.column = column;
    }

    public String getDeprecated() {
        return deprecated;
    }

    public void setDeprecated(String deprecated) {
        this.deprecated = deprecated;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getIdref() {
        return idref;
    }

    public void setIdref(String idref) {
        this.idref = idref;
    }

    public String getIdx() {
        return idx;
    }

    public void setIdx(String idx) {
        this.idx = idx;
    }

    public String getLexeme() {
        return lexeme;
    }

    public void setLexeme(String lexeme) {
        this.lexeme = lexeme;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }



}
